Bug 680707

Summary: [abrt] NetworkManager-gnome-1:0.8.3.996-1.fc14: type_check_is_value_type_U: Process /usr/bin/nm-connection-editor was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Matt McCutchen <matt>
Component: NetworkManagerAssignee: Dan Williams <dcbw>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: benl, bloch, bugzilla.10.cyrils, dcbw, james, jorgen.jonsson, masayag, mason, me, njhallett, paul, sergmerkelov, shashank.neelam, zhanggh1978
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:5f0556272604ef320001ef0006f3eb68ae7d6291
Fixed In Version: NetworkManager-0.8.3.997-1.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-05 02:41:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description Matt McCutchen 2011-02-27 08:36:32 UTC
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 32989 bytes
cmdline: /usr/bin/nm-connection-editor
comment: This is with the NetworkManager-0.8.3.996-1.fc14 test update installed.
component: NetworkManager
Attached file: coredump, 14585856 bytes
crash_function: type_check_is_value_type_U
executable: /usr/bin/nm-connection-editor
kernel: 2.6.35.11-83.fc14.x86_64
package: NetworkManager-gnome-1:0.8.3.996-1.fc14
rating: 4
reason: Process /usr/bin/nm-connection-editor was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
How to reproduce: 1. Edit a VPN connection that has at least one secret saved.
time: 1298795728
uid: 500

Comment 1 Matt McCutchen 2011-02-27 08:36:34 UTC
Created attachment 481223 [details]
File: backtrace

Comment 2 Matt McCutchen 2011-02-27 08:58:50 UTC
The problem does not occur with NetworkManager-0.8.1-10.git20100831.fc14.  This is a regression in the test update.

Comment 3 Dan Williams 2011-02-28 16:20:11 UTC
Found and fixed upstream:

abba62fe1c22422bb84f12875fd3612b90ead434

should be included in next updates-testing build.  Thanks!

Comment 4 Dan Williams 2011-02-28 16:41:47 UTC
*** Bug 680613 has been marked as a duplicate of this bug. ***

Comment 5 Mason Loring Bliss 2011-03-02 18:45:13 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Accepted update of network manager.
2. Selected "Configure VPN..." from the menu.
3. Attempted to edit VPN connection.

Comment 6 paul 2011-03-03 08:53:38 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Right clicked networkmanager applet
2. Edit Connections, VPN
3. Select connection - edit

Comment 7 Fedora Update System 2011-03-03 09:25:13 UTC
Package NetworkManager-0.8.3.997-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.3.997-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.997-1.fc14
then log in and leave karma (feedback).

Comment 8 Lionking 2011-03-03 09:26:01 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Just login
2.
3.

Comment 9 Fedora Update System 2011-03-03 09:46:29 UTC
Package NetworkManager-0.8.3.997-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.3.997-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.997-1.fc13
then log in and leave karma (feedback).

Comment 10 Cyril Sluchanko 2011-03-03 09:54:09 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I've attempted to edit VPNC connection - pressed 'Edit' and got error.
2.
3.

Comment 11 Ben Levenson 2011-03-03 10:08:27 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I tried to edit an active vpn connection via "VPN Connections" -> "Configure VPN..." -> "Edit"
2. 
3.


Comment
-----
 Try to edit an active vpn connection via "VPN Connections" -> "Configure VPN..." -> "Edit"

Comment 12 Serg Merkelov 2011-03-03 21:02:09 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. try to edit pptp vpn connection. At this time I'm unable to edit VPN connections at all...

Comment 13 shashank 2011-03-04 05:30:13 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I tried to edit my VPN profiles (both by Right Click->Edit Connections and Left Click->VPN Connections->Configure VPN...
2.
3.

Comment 14 Moti Asayag 2011-03-04 10:01:25 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Lesft Click on NetworkManager np-applet 
2. VPN Connection
3. Configure VPN
4. Select one of existed VPN
5, Click on Edit
and it crashed

Comment 15 Fedora Update System 2011-03-04 10:05:37 UTC
NetworkManager-0.8.3.997-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.997-1.fc14

Comment 16 Alexei Panov 2011-03-04 11:50:11 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Right click on NM icon in tray
2. Edit settings, go to VPN tab
3. select existing VPN connection
4. press button "Edit"
5. crash


Comment
-----
I use nm-applet and bluetooth-applet in KDE desktop. Gnome desktop not installed as group.

Comment 17 Alexei Panov 2011-03-04 12:05:38 UTC
NetworkManager-0.8.3.997-1.fc14 fixed this bug.
I've leave karma in bodhi.
Thanks.

Comment 18 Moti Asayag 2011-03-04 13:11:00 UTC
(In reply to comment #15)
> NetworkManager-0.8.3.997-1.fc14 has been pushed to the Fedora 14 testing
> repository.  If problems still persist, please make note of it in this bug
> report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can
> provide feedback for this update here:
> https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.997-1.fc14

Fixed. 10x.
Moti Asayag

Comment 19 zhanggh1978 2011-03-04 14:04:25 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.h
2.
3.

Comment 20 Niall Hallett 2011-03-04 23:06:38 UTC
Package: NetworkManager-gnome-1:0.8.3.996-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Right-click NetworkManager Applet and choose Edit Connections...
2. Select VPN tab
3. Highlight an entry and click Edit

Comment 21 Fedora Update System 2011-03-05 02:40:52 UTC
NetworkManager-0.8.3.997-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2011-03-25 03:29:21 UTC
NetworkManager-0.8.3.998-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.998-2.fc13

Comment 23 Fedora Update System 2011-04-12 21:27:14 UTC
NetworkManager-0.8.3.998-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.